Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Class StandardDeploymentStrategy

    java.lang.Object
      org.jboss.seam.deployment.DeploymentStrategy
          org.jboss.seam.deployment.StandardDeploymentStrategy

    public class StandardDeploymentStrategy

extends DeploymentStrategy

The standard deployment strategy used with Seam, deploys non-hot-deployable Seam components and namespaces

Author:
  Pete Muir

Field Summary
`static String` | `HANDLERS_KEY` The key under which to list extra deployment handlers.
`static String` | `NAME` The contextual variable name this deployment strategy is made available at during Seam startup.
`static String[]` | `RESOURCE_NAMES` The files used to identify a Seam archive

Fields inherited from class org.jboss.seam.deployment.DeploymentStrategy
`SCANNERS_KEY`

Constructor Summary
`StandardDeploymentStrategy(ClassLoader classLoader, javax.servlet.ServletContext servletContext)`

Method Summary
`Map<String,Set<Class<?>>>` | `getAnnotatedClasses()`
`Set<ClassDescriptor>` | `getAnnotatedComponents()` Get all annotated components known to this strategy
`ClassLoader` | `getClassLoader()` Get the classloader to use
`protected String` | `getDeploymentHandlersKey()`
`Set<Package>` | `getScannedNamespaces()` Get all scanned and handled Seam namespaces
`javax.servlet.ServletContext` | `getServletContext()` Get the ServletContext to use
`Set<FileDescriptor>` | `getXmlComponents()` Get all XML defined (throught components.xml and component.xml) components
`static StandardDeploymentStrategy` | `instance()`
`void` | `scan()` Do the scan for resources Should only be called by Seam

Methods inherited from class org.jboss.seam.deployment.DeploymentStrategy
`getDeploymentHandlers, getFiles, getScanner, getTimestamp, initScanner, postScan, setFiles`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCE_NAMES

    public static final String[] RESOURCE_NAMES

  The files used to identify a Seam archive

### NAME

    public static final String NAME

  The contextual variable name this deployment strategy is made available at during Seam startup.

  See Also:
    Constant Field Values

### HANDLERS_KEY

    public static final String HANDLERS_KEY

  The key under which to list extra deployment handlers. This can be specified as a System property or in /META-INF/seam-deployment.properties

  See Also:
    Constant Field Values

Constructor Detail

### StandardDeploymentStrategy

    public StandardDeploymentStrategy(ClassLoader classLoader,
                                      javax.servlet.ServletContext servletContext)

Parameters:
  `classLoader` - The classloader used to load and handle resources

Method Detail

### getClassLoader

    public ClassLoader getClassLoader()

  Description copied from class: `DeploymentStrategy`
  Get the classloader to use

  Specified by:
    `getClassLoader` in class `DeploymentStrategy`

### getDeploymentHandlersKey

    protected String getDeploymentHandlersKey()

  Specified by:
    `getDeploymentHandlersKey` in class `DeploymentStrategy`

### getAnnotatedComponents

    public Set<ClassDescriptor> getAnnotatedComponents()

  Get all annotated components known to this strategy

### getXmlComponents

    public Set<FileDescriptor> getXmlComponents()

  Get all XML defined (throught components.xml and component.xml) components

### getScannedNamespaces

    public Set<Package> getScannedNamespaces()

  Get all scanned and handled Seam namespaces

### getAnnotatedClasses

    public Map<String,Set<Class<?>>> getAnnotatedClasses()

### scan

    public void scan()

  Description copied from class: `DeploymentStrategy`
  Do the scan for resources Should only be called by Seam

  Specified by:
    `scan` in class `DeploymentStrategy`

### instance

    public static StandardDeploymentStrategy instance()

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Description copied from class: `DeploymentStrategy`
  Get the ServletContext to use

  Specified by:
    `getServletContext` in class `DeploymentStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.